@font-face {
  font-family: "Geist Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 300;
  src: url('./geist-mono-latin-300-normal.woff2') format('woff2');
}
*, *::before, *::after {
  box-sizing: border-box;
}
* {
  font-family: "Geist Mono", monospace;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}
:root {
  --b0: #FAFAFA;
  --b1: #FFFFFF;
  --c0: #000000;
  --c1: #E0E0E0;
  --f0: #FF6565;
}
html {font-size: 16px;}
a, i, button {
  cursor: pointer;
}
a:hover, i:hover {
  color: var(--f0);
}
button {
  padding: 0.25rem 1.5rem;
  border: 1px solid var(--c1);
}
button:hover {
  background-color: var(--b1);
}
small {font-size: 0.9rem;}
body, h1, h2, hr, fieldset, label, input, textarea, select, main {
  display: block;
  width: 100%;
}
body {
  width: 100%;
  min-height: 100vh;
  margin: 0;
  padding: 1rem 0;
  background-color: var(--b0);
  color: var(--c0);
  font-size: 1rem;
}
h1, h2, hr {margin: 0 0 1rem 0}
h1 {font-size: 1.5rem}
h2 {font-size: 1.2rem}
hr {
  border: none;
  border-bottom: 1px solid var(--c0);
}
fieldset, input, textarea, select {
  margin: 0 0 1rem 0;
}
label {
  margin: 0.5rem 0 0 0;
}
input, textarea, select {
  padding: 0.5rem;
  border: 1px solid var(--c1);
  background-color: inherit;
  color: inherit;
  font-size: 1rem;
}
input:focus, textarea:focus, select:focus {
  border-color: var(--c0);
}

main {
  width: calc(100% - 2rem);
  max-width: 48rem;
  margin: 0 auto;
}
header, nav {
  display: flex;
  flex-direction: row;
}
header {
  gap: 0.5rem;
  margin: 0.5rem 0 1rem 0;
  padding: 0.5rem 0;
  border-top: 1px solid var(--c0);
  border-bottom: 1px solid var(--c0);
}

nav {
  gap: 1rem;
  margin: 0 0 0.5rem 0;
}
header i {
  font-size: 0.9rem;
}
i.active {
  color: var(--f0);
}
nav > small:first-child {
  display: block;
  min-width: 1.5rem;
  height: 1.5rem;
  border: 1px solid var(--c1);
  padding: 0.1rem;
  line-height: 1.3rem;
  text-align: center;
  border-radius: 1.5rem;
}

header > *, nav > * {margin: auto 0;}
header > div, nav > div {flex: 1 1 auto;}

section {
  width: 100%;
  padding: 1rem;
  border: 1px solid var(--c0);
}
section > h2::before {
  content: '#';
}
article {
  width: 100%;
  margin: 0 0 1rem 0;
  padding: 2rem 1rem;
  border: 1px solid var(--c1);
  background-color: var(--b1);
  cursor: pointer;
  text-align: center;
}
article:hover {border-color: var(--c0);}
article input {display: none;}

canvas {
  width: 100%;
  height: max-content;
  margin: 0 0 1rem 0;
  border: 1px solid var(--c1);
}